6/M
{EN
{*B
[2J{C2In this section we will cover the utilities subsystem. The utilities
subsystem, which is accessed by the "{C3U{C2" command from the main menu, allows you
to tailor RBBS-PC to work with your communications software. Each parameter
is stored in a "Profile" unique to each user and may be changed at any time.
The following utility commands are available:

{C3UTIL Command B - change Baud rate{C2

This command allows you to increase your modem speed modem from 300 to 450
baud. Your communications software must support this change (PC-TALK
does). This only functions when you dial in at 300 baud.

{C3UTIL Command C - Clock display{C2

This command displays the current time, and how much time you have left in
your RBBS-PC session. RBBS-PC restricts the amount of time you can stay on
the system so that other callers have a chance to use the system.

{C4TIPS:{C2
1. A quick reminder of time left on the system is also the "xx minutes
   left" that precedes the command prompt on RBBS-PC.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command E - Echo{C2

This command lets you specify what computer will "echo" what you type.
When you type on your keyboard, you will not see your keystrokes on your
screen unless one of the computers echoes it back to you. Options for echo
are:

{C3C{C2)aller's software     Your communications software will echo your keystrokes
                       to your screen. This will make your keystorkes appear
                       faster, since they do not have to be processed by
                       RBBS-PC and sent back to you.

{C3R{C2)BBS-PC               RBBS-PC will echo all your keystrokes back to you.
                       this is the default mode for RBBS-PC. The advantage
                       to this mode is that you can be sure that what you
                       typed is what RBBS-PC got, since it echos back to you.

{C3I{C2)ntermediate network  A data network (i.e. Compuserve) does the echoing and
                       neither RBBS-PC nor the caller's software need echo
                       the characters back to the keyboard as they are
                       typed in. When the network delay is significant,
                       this selection may be useful.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C4TIPS:{C2
1. The fastest performance is {C3C{C2)aller's software, because echo does not
   have to wait to transmit character and the get it transmitted back.

2. The safest form of echo is RBBS-PC. That way the caller sees what
   RBBS- PC really received rather than what was sent.

3. Intermediate host echo can be used when RBBS-PC is accessed through
   other computers, such as as Compuserve.

4. Use "{C3C{C2" or "{C3I{C2" if it seems to take a long time for what you type to
   appear on your screen. This is a common problem when typing must pass
   through several computers, e.g. on PC-Pursuit and Compuserve.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3File transfer protocol selection{C2

RBBS-PC allows you to select a default file transfer protocol.
RBBS-PC will use the selected protocol for all uploads and downloads unless
you specify a protocol when downloading/uploading.

{C4TIPS:{C2
1. You may want not to have a default transfer protocol if you use a
   variety of protocols. Select the {C3N{C2)one option and RBBS-PC will ask for
   your preferred protocol before each file transfer.

2. The protocol you want RBBS-PC to use must also be used by your
   communications package. Protocols available in RBBS-PC include Ascii
   (no error checking), Xmodem, Xmodem/CRC, and 1K-Xmodem. Others can be
   installed by the Sysop, such as Kermit, Windowed Xmodem, Zmodem, and
   Batch Ymodem. Xmodem is the most widely supported, but Ymodem and
   Zmodem are faster.

3. You can override the default my specifying the protocol on the same
   command line as {C3D{C2)ownload or {C3U{C2)pload. E.g. "{C3D FILE.TXT C{C2" downloads
   file FILE.TXT in Xmodem/CRC no matter what the default protocol is.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command G - Graphics options{C2

RBBS-PC allows you to specify:
  - If you want graphics or color display
  - If you want highlighted prompts (colorized)
  - The color used for highlighted prompts

If you only want to see text, with no graphic characters or color,
specify NONE for graphics and NO highlighting.

If your computer supports the IBM graphic character set, specify
ASCII for graphics. If you see a heart  and a line , your computer
is capable of supporting graphics.

If your computer can support ANSI display commands, select COLOR for
graphics. Your system supports ANSI if this [05;31;47mblinks in RED[00m{C2! If your system can
support ANSI color commands, you can specify text colors for RBBS-PC prompts.
When you turn HILITE on, RBBS-PC will ask you for your preferred color and
intensity, and then show you what the prompt will look like in your selected
color. When your selection is correct, press {C3[ENTER]{C2 to save the change.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command L - Lines per page{C2

This command sets the number of lines that RBBS-PC will display before
pausing. Typically, you will set this to the number of lines on your
terminal screen.

{C4TIPS:{C2
1. If you set your LINES PER PAGE to 0, RBBS-PC will NEVER pause when
   displaying text. You will still be able to manually pause the screen
   by typing control-S. To resume, type control-Q.

{C3UTIL Command M - Message margin{C2

This command is used to alter the right margin on messages that you enter.
This will affect all of your messages. The margin can be set between 8 and
72 (72 is the default) by simply entering the desired column number when
prompted to do so.

{C4TIPS:{C2
1. Use the {C3M{C2)argin command from the editing subfunctions command line to
   change the right margin for just the current message being entered.
   The editor is accessed while entering a message.
    
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3N{C2)ulls - time delay for printing terminal carriage returns

{C3UTIL Command P - Password change{C2

This command allows you to change the password you use to log onto RBBS-PC.
Once changed, RBBS-PC will expect your new password when you next log on.
Passwords can have up to 15 characters.

{C4TIPS:{C2
1. Anyone who knows your password can log on as you and read your personal
   mail, or to use other system privileges that you may have.

2. You should change your password if you have reason to believe that it
   is known to other persons.

3. Some RBBS-PC systems have "temporary" passwords. Changing your
   password to one defined as a temporary password will change your
   current session security, but will NOT change your permanent password.
   RBBS-PC will notify you if you make a temporary password change. Check
   with your Sysop for more information about temporary passwords.
    
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command R - Review profile{C2

This command lists all your current user-selectable settings. E.g.
expert/novice mode, graphics, file transfer protocol, UPPER/lower case,
line feeds, nulls, prompt bell, and others.

RBBS-PC remembers your preferences for the various system parameters from
one session to the next.

{C3UTIL Command S - usage Statistics{C2

This command will display the number of calls that RBBS-PC has processed to
date, the number of available messages to read, active users, as well as
the space available for new users and new messages.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command T - Toggle settings{C2

This command allows you to turn certain RBBS-PC settings on and off.
The options in TOGGLE are:

{C3A{C2)utodownload   Whether to use auto-downloading
{C3B{C2)ulletin       On logon only display bulletins if they are new
{C3C{C2)ase change    Display characters in upper case only or upper/lower
{C3F{C2)ile           On logon give option to download new files
{C3H{C2)ilite         Color hilights in menu option lines
{C3L{C2)ine feeds     Insert line feed after each carriage return
{C3N{C2)ulls          Insert 5 nulls between carriage-return & line feed
{C3T{C2)urbokey       Accept one-character input without pressing [ENTER]
{C3X{C2)pert          Show full menus, only single command line
{C3!{C2)bell          Beep whenever RBBS-PC expects input.

{C4TIPS:{C2
{C3A{C2)utodownload. A downloading enhancement that allows RBBS-PC to tell the
    caller's software what to start a file download. Packages that support
    "autodownloading" include some variants of PC-Talk and Pibterm.
    
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3B{C2)ulletin. If this option is OFF, RBBS-PC will always display the bulletin
    menu when you log on. If you turn this option ON, RBBS-PC will only
    display the bulletin menu if there are NEW bulletins to read. The
    sysop can disable this option, in which case you will always see the
    bulletin menu when you log on.

{C3C{C2)ase change:  Most computers can display both upper and lower case
    letters, but some computers only display upper case. The "{C3C{C2" command
    alternates between "UPPER CASE ONLY" and "UPPER CASE and lower case."

{C3F{C2)ile:  RBBS-PC will give you the option to review files added to the
    RBBS-PC downloads since your last logon as soon as you call the system.
    If you want to wait until you go to the FILE menu to review files for
    downloading, turn this option off. The SYSOP can disable this option.
    This option makes it fast and easy to check for new download files on
    RBBS-PC.

{C3H{C2)ilite:  If your system can support ANSI color commands, you can specify
    text colors for RBBS-PC prompts. When you turn HILITE on, RBBS-PC will
    ask you for your preferred color and intensity, and then show you what
    the prompt will look like in your selected color. When your selection
    is correct, press {C3[ENTER]{C2 to save the change.
    
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3N{C2)ulls:  Nulls put a delay at the beginning of each line that RBBS-PC sends
    to your system. Entering "{C3N{C2" will toggle or alternate nulls on and
    off, as you choose. Only systems that need time to move back to the
    start of a line should set NULLS on (such as teletypes).

{C3T{C2)urbokeys:  RBBS-PC can act on one-character input without requiring an
    {C3[ENTER]{C2 key. With Turbokey ON, whenever RBBS-PC only expects one
    character, instead of using a "{C3?{C2" to prompt you, a "{C3!{C2" will appear
    instead. When you press one key, RBBS-PC will act on it immediately.
    If you want to enter more than one key at a turbokey prompt, type a
    slash "{C3/{C2" key, and RBBS-PC will allow you to enter an entire line.

{C3X{C2)pert:  RBBS-PC operates in two modes. Novices get verbose menus, more
    detailed explanations, and extra warnings. Experts get succinct
    command prompts and no menus. The novice mode makes it easier to learn
    how to use RBBS-PC, but is slower.

{C3!{C2)Prompt bell:  An auditory reminder (beep) to tell you when the computer
    is awaiting your input. Some find it useful, but if you do not want to
    hear the noise, use this option to turn it off.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3UTIL Command U - User log{C2

This command gives you two ways to list RBBS-PC system users.

You will be prompted for either: {C3U{C2)sers or {C3R{C2)ecent callers.

The "{C3U{C2)serlog" option gets a list of all users by name, city and state, and
the date and time of her/his last call. The "{C3R{C2)ecent" callers option
generates a list of callers in reverse chronological order from most recent
to oldest with the time/date of their last call.

{C4TIPS:{C2
1. Only persons on the users list can be sent a private message with the
   {C3R{C2)eceiver security option.

2. Use this command as a check for correct spelling, nickname, etc. of a
   message recipient.

This concludes the Utilities Subsystem Tutorial. Please feel free to address
any questions concerning the utilities to the Sysop.

{END
{>> TUTOR.DAT
"{FN","{LN","{DT","{TM","Utilities Subsystem"
{END
{*0Press RETURN to continue, {FN
{09
{*B
[2JPress {C3N{C2 for the next section, {C4Library subsystem{C2
Press {C3M{C2 for the tutorial menu
Press {C3Q{C2 to quit back to the board
Press {C3R{C2 to review this section, or
Press {C3P{C2 to review the previous section, {C4Files subsystem{C2

{END
{LV;N;M;R;Q;P;
{09
{ON 09
{==N
{M! TUTOR6.MCR
{==M
{M! TUTOR1A.MCR
{==R
{M! TUTOR5.MCR
{==Q
{M! STOP.MCR
{==P
{M! TUTOR4.MCR
{END ON
